Bug 9877 - Incorrect time reported if system time is changed.
Incorrect time reported if system time is changed.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
6.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-29 23:32 EST by Rob Rogers
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-01 09:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Rogers 2000-02-29 23:32:36 EST
When updating the system time using rdate the connected time is changed by
the same as the system time.

i.e.
1) Connected time is 00:03
2) "rdate -s servername" adds 1:06 to the system time
3) connected time instantly changes to 01:09.

Bug exists in version that came with RH 6.1 stock (1.0.0 I'm guessing) and
in version 1.0.1
Comment 1 Nalin Dahyabhai 2000-03-01 09:38:59 EST
rp3 uses the difference between the current system time and the timestamp on
the lock file created in /var/run to compute the amount of time the interface
has been up.

If the interface is brought up before rp3 is started, there is no other
reference point rp3 can use to track the uptime for the interface, so changing
rp3 to use an internal counter when an interface is brought up wouldn't help.

Note You need to log in before you can comment on or make changes to this bug.